X200 Lan MAC address
====================

Lenovo BIOS
-----------

### memory locations (hex)

- b900-b905 (first)
- 04604f-046054
- 04634f-046354
- 04664f-046654
- 04a34f-04a354
- ...
- 5f7000-5f7005 (last and most reliable)

Libreboot
---------

### memory locations (hex)

- 1000-1005
- 2000-2005

How to read out
---------------

In order to read out the Lan MAC address, select `Hex-Dump` as format
using “`[t]   toggle format`”, then use “`[m]   read random`” from the
chipflasher’s terminal menu and type in:

1. first address, i.e. `5f7000`
2. last address, i.e. `5f7005`
3. allow screen feedback with `Y`

The Lan MAC Address is put on screen and will be written to disk.


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2016, 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
