Zerocat Chipflasher Documentation
=================================

Welcome!
--------

When it comes to flash a [coreboot][] or [libreboot][] machine, the
[Zerocat Chipflasher][chipflasher-website] is a very special tool:

  - it comes with free documentation
  - it runs with free-software
  - its board layout is free-design hardware
  - it uses a free-design microcontroller

...and you can solder your own device, it is a do-it-yourself project!


Where to Go?
------------

Please read the [README][] and [How To Use][] to get
started; and see other [Related Pages][].

If you are in a hurry to apply [coreboot][] on your machine, first
check [Supported Devices][] to see if it is supported.
If not, you may consider to provide your machine as test-hardware,
we would love to try it and will improve the chipflasher by the way.


Complete List of Documentations
-------------------------------

  1.  Zerocat Chipflasher Documentation
  2.  [Zerocat Connect Documentation][connect-doc]
  3.  [Zerocat Chipflasher Board Documentation][board-doc]

Have fun with these sources! Everyone should flash a free BIOS at least
once in his lifetime ;-) It is an exciting experience.



[chipflasher-website]:  http://www.zerocat.org/chipflasher-board-edition-1.html
[coreboot]:             https://www.coreboot.org/
[libreboot]:            https://www.libreboot.org/
[Supported Devices]:    supported-devices.md
[README]:               README.md
[How To Use]:           how-to-use.md


<!-- Paths are prefixed with ../../../ to make them work for doxygen! -->
[Related Pages]:    ../../../generated-documentation/chipflasher/html/pages.html
[chipflasher-doc]:  ../../../generated-documentation/chipflasher/html/index.html
[connect-doc]:      ../../../generated-documentation/connect/html/index.html
[board-doc]:        ../../../generated-documentation/board/html/index.html

-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
